/*
 *  ICARUS -  Interactive platform for Corpus Analysis and Research tools, University of Stuttgart
 *  Copyright (C) 2012-2013 Markus Gärtner and Gregor Thiele
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses.

 * $Revision: 335 $
 * $Date: 2015-01-21 11:34:39 +0100 (Mi, 21 Jan 2015) $
 * $URL: https://subversion.assembla.com/svn/icarusplatform/trunk/Icarus/core/de.ims.icarus/source/de/ims/icarus/util/strings/NativeStringInterner.java $
 *
 * $LastChangedDate: 2015-01-21 11:34:39 +0100 (Mi, 21 Jan 2015) $
 * $LastChangedRevision: 335 $
 * $LastChangedBy: mcgaerty $
 */
package de.ims.icarus.util.strings;

import de.ims.icarus.util.intern.Interner;

/**
 * @author Markus Gärtner
 * @version $Id: NativeStringInterner.java 335 2015-01-21 10:34:39Z mcgaerty $
 *
 */
public class NativeStringInterner implements Interner<CharSequence> {

	/**
	 * @see de.ims.icarus.util.intern.Interner#intern(java.lang.Object)
	 */
	@Override
	public String intern(CharSequence item) {
		return StringUtil.toString(item).intern();
	}

}
