/* 
 *  ICARUS -  Interactive platform for Corpus Analysis and Research tools, University of Stuttgart
 *  Copyright (C) 2012-2013 Markus Gärtner and Gregor Thiele
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses.
 *
 * $Revision: 136 $ 
 * $Date: 2013-09-11 14:51:36 +0200 (Mi, 11 Sep 2013) $ 
 * $URL: https://subversion.assembla.com/svn/icarusplatform/trunk/Icarus/plugins/de.ims.icarus.plugins.errormining/source/de/ims/icarus/plugins/errormining/ngram_tools/CorpusType.java $ 
 * 
 * $LastChangedDate: 2013-09-11 14:51:36 +0200 (Mi, 11 Sep 2013) $  
 * $LastChangedRevision: 136 $  
 * $LastChangedBy: smashii $ 
 */
package de.ims.icarus.plugins.errormining.ngram_tools;

/**
 * @author Gregor Thiele
 * @version $Id: CorpusType.java 136 2013-09-11 12:51:36Z smashii $
 *
 */
public class CorpusType{
	Integer sentence;
	String key;
	
	public CorpusType(){
		
	}
	
	public CorpusType(Integer sentence, String key){
		this.sentence = sentence;
		this.key = key;
		
	}
	
	/**
	 * @return the sentence
	 */
	public Integer getSentence() {
		return sentence;
	}
	/**
	 * @param sentence the sentence to set
	 */
	public void setSentence(Integer sentence) {
		this.sentence = sentence;
	}
	/**
	 * @return the key
	 */
	public String getKey() {
		return key;
	}
	/**
	 * @param key the key to set
	 */
	public void setKey(String key) {
		this.key = key;
	}
	
}
