/*
 *  ICARUS -  Interactive platform for Corpus Analysis and Research tools, University of Stuttgart
 *  Copyright (C) 2012-2013 Markus Gärtner and Gregor Thiele
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses.
 *
 * $Revision: 169 $
 * $Date: 2013-11-21 11:04:56 +0100 (Do, 21 Nov 2013) $
 * $URL: https://subversion.assembla.com/svn/icarusplatform/trunk/Icarus/core/de.ims.icarus/source/de/ims/icarus/util/data/Content.java $
 *
 * $LastChangedDate: 2013-11-21 11:04:56 +0100 (Do, 21 Nov 2013) $ 
 * $LastChangedRevision: 169 $ 
 * $LastChangedBy: mcgaerty $
 */
package de.ims.icarus.util.data;

/**
 * For objects that are aware of their own {@code ContentType} this 
 * interface provides the means to signal this.
 * 
 * @author Markus Gärtner
 * @version $Id: Content.java 169 2013-11-21 10:04:56Z mcgaerty $
 *
 */
public interface Content {

	/**
	 * Returns the {@code ContentType} that describes this object
	 */
	ContentType getEnclosingType();
}
